Upstream information

CVE-2015-0286 at MITRE

Description

The ASN1_TYPE_cmp function in crypto/asn1/a_type.c in OpenSSL before 0.9.8zf, 1.0.0 before 1.0.0r, 1.0.1 before 1.0.1m, and 1.0.2 before 1.0.2a does not properly perform boolean-type comparisons, which allows remote attackers to cause a denial of service (invalid read operation and application crash) via a crafted X.509 certificate to an endpoint that uses the certificate-verification feature.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 919648 [RESOLVED], 922496 [RESOLVED], 936586 [CONFIRMED], 937891 [RESOLVED], 951391 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • openssl >= 0.9.8j-0.70.1
Patchnames:
sledsp3-compat-openssl097g
sledsp3-libopenssl-devel
sledsp3-mysql-12272
SUSE Linux Enterprise Desktop 11 SP4
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
Patchnames:
sledsp4-mysql-12272
SUSE Linux Enterprise Desktop 12
  • compat-openssl098 >= 0.9.8j-73.2
  • libopenssl0_9_8 >= 0.9.8j-73.2
  • libopenssl0_9_8-32bit >= 0.9.8j-73.2
  • libopenssl1_0_0 >= 1.0.1i-20.1
  • libopenssl1_0_0-32bit >= 1.0.1i-20.1
  • openssl >= 1.0.1i-20.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-133
SUSE-SLE-DESKTOP-12-2015-135
SUSE Linux Enterprise Desktop 12 SP1
  • libopenssl0_9_8 >= 0.9.8j-81.1
  • libopenssl0_9_8-32bit >= 0.9.8j-81.1
  • libopenssl1_0_0 >= 1.0.1i-34.1
  • libopenssl1_0_0-32bit >= 1.0.1i-34.1
  • openssl >= 1.0.1i-34.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP1 GA libopenssl1_0_0
SUSE Linux Enterprise Desktop 12 SP2
  • libopenssl-devel >= 1.0.2j-55.1
  • libopenssl0_9_8 >= 0.9.8j-102.1
  • libopenssl0_9_8-32bit >= 0.9.8j-102.1
  • libopenssl1_0_0 >= 1.0.2j-55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-55.1
  • openssl >= 1.0.2j-55.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libopenssl-devel
SUSE Linux Enterprise Desktop 12 SP2 GA libopenssl0_9_8
SUSE Linux Enterprise Desktop 12 SP3
  • libopenssl-devel >= 1.0.2j-59.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
  • libopenssl1_0_0 >= 1.0.2j-59.1
  • libopenssl1_0_0-32bit >= 1.0.2j-59.1
  • openssl >= 1.0.2j-59.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libopenssl-devel
SUSE Linux Enterprise Desktop 12 SP3 GA libopenssl0_9_8
SUSE Linux Enterprise Module for Basesystem 15
  • libopenssl-1_1-devel >= 1.1.0h-2.3
  • libopenssl-devel >= 1.1.0h-1.11
  • libopenssl1_1 >= 1.1.0h-2.3
  • libopenssl1_1-32bit >= 1.1.0h-2.3
  • libopenssl1_1-hmac >= 1.1.0h-2.3
  • libopenssl1_1-hmac-32bit >= 1.1.0h-2.3
  • openssl >= 1.1.0h-1.11
  • openssl-1_1 >= 1.1.0h-2.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libopenssl-1_1-devel
SUSE Linux Enterprise Module for Basesystem 15 GA libopenssl-devel
SUSE Linux Enterprise Module for Legacy Software 12
  • compat-openssl098 >= 0.9.8j-73.2
  • libopenssl0_9_8 >= 0.9.8j-73.2
  • libopenssl0_9_8-32bit >= 0.9.8j-73.2
Patchnames:
SUSE-SLE-Module-Legacy-12-2015-135
SUSE Linux Enterprise Module for Legacy Software 15
  • libopenssl-1_0_0-devel >= 1.0.2n-1.32
  • libopenssl1_0_0 >= 1.0.2n-1.32
  • openssl-1_0_0 >= 1.0.2n-1.32
Patchnames:
SUSE Linux Enterprise Module for Legacy Software 15 GA libopenssl-1_0_0-devel
SUSE Linux Enterprise Server 11 SP1-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server 11 SP2-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp2-libopenssl-devel
SUSE Linux Enterprise Server 11 SP3
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client18-x86 >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • mysql-tools >= 5.5.46-0.14.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp3-libopenssl-devel
slessp3-mysql-12272
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client18-x86 >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18-x86 >= 5.5.46-0.14.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.70.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • mysql-tools >= 5.5.46-0.14.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libopenssl0_9_8
slessp4-mysql-12272
SUSE Linux Enterprise Server 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.22.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Patchnames:
secsp3-libopenssl1-devel
SUSE Linux Enterprise Server 12
  • libopenssl1_0_0 >= 1.0.1i-20.1
  • libopenssl1_0_0-32bit >= 1.0.1i-20.1
  • libopenssl1_0_0-hmac >= 1.0.1i-20.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-20.1
  • openssl >= 1.0.1i-20.1
  • openssl-doc >= 1.0.1i-20.1
Patchnames:
SUSE-SLE-SERVER-12-2015-133
SUSE Linux Enterprise Server 12 SP1
  • libopenssl1_0_0 >= 1.0.1i-34.1
  • libopenssl1_0_0-32bit >= 1.0.1i-34.1
  • libopenssl1_0_0-hmac >= 1.0.1i-34.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-34.1
  • openssl >= 1.0.1i-34.1
  • openssl-doc >= 1.0.1i-34.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libopenssl1_0_0
SUSE Linux Enterprise Server 12 SP2
  • libopenssl-devel >= 1.0.2j-55.1
  • libopenssl1_0_0 >= 1.0.2j-55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-55.1
  • openssl >= 1.0.2j-55.1
  • openssl-doc >= 1.0.2j-55.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libopenssl-devel
SUSE Linux Enterprise Server 12 SP3
  • libopenssl-devel >= 1.0.2j-59.1
  • libopenssl1_0_0 >= 1.0.2j-59.1
  • libopenssl1_0_0-32bit >= 1.0.2j-59.1
  • libopenssl1_0_0-hmac >= 1.0.2j-59.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-59.1
  • openssl >= 1.0.2j-59.1
  • openssl-doc >= 1.0.2j-59.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libopenssl-devel
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libopenssl-devel >= 1.0.2j-55.1
  • libopenssl1_0_0 >= 1.0.2j-55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-55.1
  • openssl >= 1.0.2j-55.1
  • openssl-doc >= 1.0.2j-55.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP1
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Patchnames:
slesapp1-compat-openssl097g
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp1-libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Patchnames:
slesapp2-compat-openssl097g
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp2-libopenssl-devel
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client18-x86 >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • mysql-tools >= 5.5.46-0.14.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slesappsp3-compat-openssl097g
slessp3-libopenssl-devel
slessp3-mysql-12272
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client18-x86 >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18-x86 >= 5.5.46-0.14.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • mysql-tools >= 5.5.46-0.14.1
Patchnames:
slessp4-mysql-12272
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.22.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Patchnames:
secsp3-libopenssl1-devel
SUSE Linux Enterprise Server for SAP Applications 12
  • libopenssl1_0_0 >= 1.0.1i-20.1
  • libopenssl1_0_0-32bit >= 1.0.1i-20.1
  • libopenssl1_0_0-hmac >= 1.0.1i-20.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-20.1
  • openssl >= 1.0.1i-20.1
  • openssl-doc >= 1.0.1i-20.1
Patchnames:
SUSE-SLE-SERVER-12-2015-133
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libmysql55client18 >= 5.5.46-0.14.1
  • libmysql55client18-32bit >= 5.5.46-0.14.1
  • libmysql55client18-x86 >= 5.5.46-0.14.1
  • libmysql55client_r18 >= 5.5.46-0.14.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.66.1
  • mysql >= 5.5.46-0.14.1
  • mysql-client >= 5.5.46-0.14.1
  • mysql-tools >= 5.5.46-0.14.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
slessp3-libopenssl-devel
slessp3-mysql-12272
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18-x86 >= 5.5.46-0.14.1
  • libopenssl-devel >= 0.9.8j-0.70.1
  • mysql >= 5.5.46-0.14.1
Patchnames:
sdksp3-libopenssl-devel
sdksp3-mysql-12272
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.46-0.14.1
  • libmysql55client_r18-x86 >= 5.5.46-0.14.1
  • libopenssl-devel >= 0.9.8j-0.70.1
  • mysql >= 5.5.46-0.14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libopenssl-devel
sdksp4-mysql-12272
SUSE Linux Enterprise Software Development Kit 12
  • libopenssl-devel >= 1.0.1i-20.1
  • openssl >= 1.0.1i-20.1
Patchnames:
SUSE-SLE-SDK-12-2015-133
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libopenssl-devel >= 1.0.1i-34.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libopenssl-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libopenssl-devel >= 1.0.2j-55.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libopenssl-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libopenssl-devel >= 1.0.2j-59.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libopenssl-devel
SUSE Manager 1.7
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Patchnames:
sleman17sp2-libopenssl-devel
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.70.1
Patchnames:
slestso13-libopenssl-devel
SLE CLIENT TOOLS 10 for x86
  • openssl >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9074
SLE CLIENT TOOLS 10 for s390x
SLE CLIENT TOOLS 10 for x86_64
  • openssl >= 0.9.8a-18.90.1
  • openssl-32bit >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9074
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10482
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10482
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10483
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libopenssl-devel >= 0.9.8j-0.70.1
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10483
SUSE Linux Enterprise for SAP Applications 11 SP2
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10507
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • compat-openssl097g >= 0.9.7g-13.29.1
Builds
ZYPP Patch Nr: 9072
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • compat-openssl097g >= 0.9.7g-13.29.1
  • compat-openssl097g-32bit >= 0.9.7g-13.29.1
Builds
ZYPP Patch Nr: 9072
SUSE Manager 1.7 for SLE 11 SP2
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10480
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10480
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SUSE Linux Enterprise Security Module 11 SP3
  • libopenssl1-devel >= 1.0.1g-0.26.1
  • libopenssl1_0_0 >= 1.0.1g-0.26.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.26.1
  • openssl1 >= 1.0.1g-0.26.1
  • openssl1-doc >= 1.0.1g-0.26.1
Builds
SAT Patch Nr: 10484
SLES for SAP Applications
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10470
SUSE Linux Enterprise Desktop 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10470
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libopenssl-devel >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Desktop 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Desktop 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise Server 11 SP3
  • libopenssl0_9_8 >= 0.9.8j-0.70.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.70.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.70.1
  • openssl >= 0.9.8j-0.70.1
  • openssl-doc >= 0.9.8j-0.70.1
Builds
SAT Patch Nr: 10481
SUSE Linux Enterprise for SAP Applications 11 SP1
  • compat-openssl097g >= 0.9.7g-146.22.29.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.29.1
Builds
SAT Patch Nr: 10471
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • openssl >= 0.9.8a-18.90.1
  • openssl-devel >= 0.9.8a-18.90.1
  • openssl-doc >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9076
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • openssl >= 0.9.8a-18.90.1
  • openssl-32bit >= 0.9.8a-18.90.1
  • openssl-devel >= 0.9.8a-18.90.1
  • openssl-devel-32bit >= 0.9.8a-18.90.1
  • openssl-doc >= 0.9.8a-18.90.1
Builds
ZYPP Patch Nr: 9076
openSUSE 13.1
  • libmysql56client18 >= 5.6.27-7.13.1
  • libmysql56client18-32bit >= 5.6.27-7.13.1
  • libmysql56client18-debuginfo >= 5.6.27-7.13.1
  • libmysql56client18-debuginfo-32bit >= 5.6.27-7.13.1
  • libmysql56client_r18 >= 5.6.27-7.13.1
  • libmysql56client_r18-32bit >= 5.6.27-7.13.1
  • libopenssl-devel >= 1.0.1k-11.68.1
  • libopenssl-devel-32bit >= 1.0.1k-11.68.1
  • libopenssl1_0_0 >= 1.0.1k-11.68.1
  • libopenssl1_0_0-32bit >= 1.0.1k-11.68.1
  • libopenssl1_0_0-debuginfo >= 1.0.1k-11.68.1
  • libopenssl1_0_0-debuginfo-32bit >= 1.0.1k-11.68.1
  • mysql-community-server >= 5.6.27-7.13.1
  • mysql-community-server-bench >= 5.6.27-7.13.1
  • mysql-community-server-bench-debuginfo >= 5.6.27-7.13.1
  • mysql-community-server-client >= 5.6.27-7.13.1
  • mysql-community-server-client-debuginfo >= 5.6.27-7.13.1
  • mysql-community-server-debuginfo >= 5.6.27-7.13.1
  • mysql-community-server-debugsource >= 5.6.27-7.13.1
  • mysql-community-server-errormessages >= 5.6.27-7.13.1
  • mysql-community-server-test >= 5.6.27-7.13.1
  • mysql-community-server-test-debuginfo >= 5.6.27-7.13.1
  • mysql-community-server-tools >= 5.6.27-7.13.1
  • mysql-community-server-tools-debuginfo >= 5.6.27-7.13.1
  • openssl >= 1.0.1k-11.68.1
  • openssl-debuginfo >= 1.0.1k-11.68.1
  • openssl-debugsource >= 1.0.1k-11.68.1
  • openssl-doc >= 1.0.1k-11.68.1
Patchnames:
openSUSE-2015-247
openSUSE-2015-889
openSUSE Leap 15.0
  • libopenssl1_0_0 >= 1.0.2n-lp150.1.25
  • libopenssl1_1 >= 1.1.0h-lp150.2.1
  • libopenssl1_1-32bit >= 1.1.0h-lp150.2.1
  • openssl >= 1.1.0h-lp150.1.1
  • openssl-1_1 >= 1.1.0h-lp150.2.1
Patchnames:
openSUSE Leap 15.0 GA libopenssl1_0_0
openSUSE Leap 15.0 GA libopenssl1_1
openSUSE Leap 15.0 GA openssl
openSUSE Leap 42.1
  • libmysql56client18 >= 5.6.27-8.1
  • libmysql56client18-32bit >= 5.6.27-8.1
  • libmysql56client18-debuginfo >= 5.6.27-8.1
  • libmysql56client18-debuginfo-32bit >= 5.6.27-8.1
  • libmysql56client_r18 >= 5.6.27-8.1
  • libmysql56client_r18-32bit >= 5.6.27-8.1
  • libopenssl-devel >= 1.0.1i-4.1
  • libopenssl0_9_8 >= 0.9.8zh-14.1
  • libopenssl0_9_8-32bit >= 0.9.8zh-14.1
  • libopenssl0_9_8-debuginfo >= 0.9.8zh-14.1
  • libopenssl0_9_8-debuginfo-32bit >= 0.9.8zh-14.1
  • libopenssl0_9_8-debugsource >= 0.9.8zh-14.1
  • libopenssl1_0_0 >= 1.0.1i-4.1
  • libopenssl1_0_0-32bit >= 1.0.1i-4.1
  • mysql-community-server >= 5.6.27-8.1
  • mysql-community-server-bench >= 5.6.27-8.1
  • mysql-community-server-bench-debuginfo >= 5.6.27-8.1
  • mysql-community-server-client >= 5.6.27-8.1
  • mysql-community-server-client-debuginfo >= 5.6.27-8.1
  • mysql-community-server-debuginfo >= 5.6.27-8.1
  • mysql-community-server-debugsource >= 5.6.27-8.1
  • mysql-community-server-errormessages >= 5.6.27-8.1
  • mysql-community-server-test >= 5.6.27-8.1
  • mysql-community-server-test-debuginfo >= 5.6.27-8.1
  • mysql-community-server-tools >= 5.6.27-8.1
  • mysql-community-server-tools-debuginfo >= 5.6.27-8.1
  • openssl >= 1.0.1i-4.1
Patchnames:
openSUSE Leap 42.1 GA libopenssl-devel
openSUSE-2015-889
openSUSE-2016-294
openSUSE Leap 42.2
  • libopenssl-devel >= 1.0.2j-2.2
  • libopenssl1_0_0 >= 1.0.2j-2.2
  • libopenssl1_0_0-32bit >= 1.0.2j-2.2
  • openssl >= 1.0.2j-2.2
Patchnames:
openSUSE Leap 42.2 GA libopenssl-devel
openSUSE Leap 42.3
  • libopenssl-devel >= 1.0.2j-7.3
  • libopenssl1_0_0 >= 1.0.2j-7.3
  • libopenssl1_0_0-32bit >= 1.0.2j-7.3
  • openssl >= 1.0.2j-7.3
Patchnames:
openSUSE Leap 42.3 GA libopenssl-devel
openSUSE Tumbleweed
  • libcrypto38 >= 2.5.0-1.1
  • libcrypto38-32bit >= 2.5.0-1.1
  • libmysql56client18 >= 5.6.34-1.1
  • libmysql56client18-32bit >= 5.6.34-1.1
  • libmysql56client_r18 >= 5.6.34-1.1
  • libmysql56client_r18-32bit >= 5.6.34-1.1
  • libopenssl-devel >= 1.0.2j-2.2
  • libopenssl-devel-32bit >= 1.0.2j-2.2
  • libopenssl1_0_0 >= 1.0.2j-2.2
  • libopenssl1_0_0-32bit >= 1.0.2j-2.2
  • libopenssl1_0_0-hmac >= 1.0.2j-2.2
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-2.2
  • libopenssl1_0_0-steam >= 1.0.2h-4.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2h-4.1
  • libressl >= 2.5.0-1.1
  • libressl-devel >= 2.5.0-1.1
  • libressl-devel-32bit >= 2.5.0-1.1
  • libressl-devel-doc >= 2.5.0-1.1
  • libssl39 >= 2.5.0-1.1
  • libssl39-32bit >= 2.5.0-1.1
  • libtls11 >= 2.5.0-1.1
  • libtls11-32bit >= 2.5.0-1.1
  • mysql-community-server >= 5.6.34-1.1
  • mysql-community-server-bench >= 5.6.34-1.1
  • mysql-community-server-client >= 5.6.34-1.1
  • mysql-community-server-errormessages >= 5.6.34-1.1
  • mysql-community-server-test >= 5.6.34-1.1
  • mysql-community-server-tools >= 5.6.34-1.1
  • openssl >= 1.0.2j-2.2
  • openssl-doc >= 1.0.2j-2.2
Patchnames:
openSUSE Tumbleweed GA libcrypto38
openSUSE Tumbleweed GA libmysql56client18-32bit
openSUSE Tumbleweed GA libopenssl-devel
openSUSE Tumbleweed GA libopenssl1_0_0-steam


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 openssl Released
SUSE Linux Enterprise Desktop 10 SP4 openssl Released
SUSE Linux Enterprise Desktop 11 SP1 openssl Released
SUSE Linux Enterprise Desktop 11 SP2 openssl Released
SUSE Linux Enterprise Desktop 11 SP3 openssl Released
SUSE Linux Enterprise Desktop 11 SP4 openssl Released
SUSE Linux Enterprise Desktop 12 GA openssl Released
SUSE Linux Enterprise SDK 11 SP1 openssl Released
SUSE Linux Enterprise SDK 11 SP2 openssl Released
SUSE Linux Enterprise SDK 11 SP3 openssl Released
SUSE Linux Enterprise SDK 11 SP4 openssl Released
SUSE Linux Enterprise SDK 12 GA openssl Released
SUSE Linux Enterprise Server 10 SP3 openssl Released
SUSE Linux Enterprise Server 10 SP4 openssl Released
SUSE Linux Enterprise Server 10 SP4 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP1 openssl Released
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP2 openssl Released
SUSE Linux Enterprise Server 11 SP2 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP3 openssl Released
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP4 openssl Released
SUSE Linux Enterprise Server 12 GA openssl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 openssl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 openssl Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 openssl Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 openssl Released
SUSE Linux Enterprise Server for VMWare 11 SP2 openssl Released
SUSE Linux Enterprise Server for VMWare 11 SP3 openssl Released
SUSE Studio Onsite 1.3 openssl Released